Bug 893435 - Incorrect units are displayed in operation schedule detail
Incorrect units are displayed in operation schedule detail
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Operations, UI (Show other bugs)
JON 3.1.2
Unspecified Unspecified
unspecified Severity high
: ---
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On: 860818
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 05:39 EST by Filip Brychta
Modified: 2014-01-02 15:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:35:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
new schedule (117.43 KB, image/png)
2013-01-09 05:39 EST, Filip Brychta
no flags Details
operation schedule detail (105.93 KB, image/png)
2013-01-09 05:40 EST, Filip Brychta
no flags Details
operation history (190.13 KB, image/png)
2013-01-09 05:40 EST, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2013-01-09 05:39:48 EST
Created attachment 675411 [details]
new schedule

Description of problem:
Value of 'Repeat every' field in operation schedule detail is displayed with incorrect units.

Version-Release number of selected component (if applicable):
3.1.2.CR1

How reproducible:
Always

Steps to Reproduce:
1. import RHQ Agent to your inventory
2. schedule a new 'Execute availability scan' operation according to newSchedule.png
3. view detail of this schedule operation 
  
Actual results:
see opScheduleDetail.png - 'Repeat every' field is 6000 seconds

Expected results:
'Repeat every' field is 60 seconds

Additional info:
Operation is launched correctly each 60 seconds (see opHistory.png) so only problem is incorrect 'Repeat every' field displayed in operation schedule detail
Comment 1 Filip Brychta 2013-01-09 05:40:33 EST
Created attachment 675414 [details]
operation schedule detail
Comment 2 Filip Brychta 2013-01-09 05:40:58 EST
Created attachment 675415 [details]
operation history
Comment 3 Jirka Kremser 2013-01-31 06:57:27 EST
This was fixed in master branch by commit 88e982cc45e152fc2025bd73f7e8f7a6ed9d52bb (Bug 860818) => should be present in 3.2.0 release. Changing status to MODIFIED.
Comment 4 Jirka Kremser 2013-02-08 10:09:20 EST
As discussed during today's hangout, bugs with 3.2.0 release should go to ON_QA, so I am moving it to ON_QA.
Comment 5 Filip Brychta 2013-02-11 04:59:19 EST
Verified on 
Version: 4.6.0-SNAPSHOT
Build Number: 73a33d5

Note You need to log in before you can comment on or make changes to this bug.